# Poco

# class LogIOS

Library: Foundation
Package: Logging
Header: Poco/LogStream.h

## Description

The base class for LogStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: LogStream

## Member Summary

Member Functions: rdbuf

## Constructors

### LogIOS

LogIOS(
Logger & logger,
Message::Priority priority
);

## Destructor

### ~LogIOS

~LogIOS();

## Member Functions

### rdbuf

LogStreamBuf * rdbuf();

## Variables

### _buf

LogStreamBuf _buf;